task align {

	File read1
	File read2

	String sample
	String base = sub(basename(read1),"\\.\\S+$", "")
	String docker
	String cluster_config
	String disk_size

	command <<<
        mixcr align -p rna-seq -s hsa -OallowPartialAlignments=true ${read1} ${read2} ${base}.vdjca
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sam = base + ".vdjca"
	}
}
